diff --git a/databases/mysql80-client/Makefile b/databases/mysql80-client/Makefile
index 9cfa8d717d8b..57ea54fb66e6 100644
--- a/databases/mysql80-client/Makefile
+++ b/databases/mysql80-client/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=	mysql
-PORTREVISION=	2
+PORTREVISION=	0
 PKGNAMESUFFIX=	80-client
 
 COMMENT=	Multithreaded SQL database (client)
diff --git a/databases/mysql80-client/pkg-plist b/databases/mysql80-client/pkg-plist
index b185afa48caf..b67078ca6131 100644
--- a/databases/mysql80-client/pkg-plist
+++ b/databases/mysql80-client/pkg-plist
@@ -39,20 +39,4 @@ lib/mysql/libmysqlclient_r.so.21
 lib/mysql/plugin/authentication_fido_client.so
 lib/mysql/plugin/authentication_oci_client.so
 libdata/pkgconfig/mysqlclient.pc
-share/man/man1/comp_err.1.gz
-share/man/man1/lz4_decompress.1.gz
-share/man/man1/mysql.1.gz
-share/man/man1/mysql_config.1.gz
-share/man/man1/mysql_config_editor.1.gz
-share/man/man1/mysqladmin.1.gz
-share/man/man1/mysqlbinlog.1.gz
-share/man/man1/mysqlcheck.1.gz
-share/man/man1/mysqldump.1.gz
-share/man/man1/mysqlimport.1.gz
-share/man/man1/mysqlman.1.gz
-share/man/man1/mysqlpump.1.gz
-share/man/man1/mysqlshow.1.gz
-share/man/man1/mysqlslap.1.gz
-share/man/man1/perror.1.gz
-share/man/man1/zlib_decompress.1.gz
 share/aclocal/mysql.m4
diff --git a/databases/mysql80-server/Makefile b/databases/mysql80-server/Makefile
index 876d9757d1a3..f413b1ef559a 100644
--- a/databases/mysql80-server/Makefile
+++ b/databases/mysql80-server/Makefile
@@ -1,6 +1,6 @@
 PORTNAME?=		mysql
-PORTVERSION=		8.0.32
-PORTREVISION?=		3
+PORTVERSION=		8.0.33
+PORTREVISION?=		0
 CATEGORIES=		databases
 MASTER_SITES=		MYSQL/MySQL-8.0
 PKGNAMESUFFIX?=		80-server
@@ -31,7 +31,6 @@ LIB_DEPENDS+=	libcurl.so:ftp/curl \
 		libevent.so:devel/libevent \
 		libicutu.so:devel/icu \
 		liblz4.so:archivers/liblz4 \
-		libzstd.so:archivers/zstd \
 		libfido2.so:security/libfido2 \
 		libhidapi.so:comms/hidapi \
 		${LIB_DEPENDS_${ARCH}}
@@ -85,7 +84,7 @@ CMAKE_ARGS+=	-DINSTALL_LAYOUT=FREEBSD \
 		-DWITH_LZ4=system \
 		-DWITH_ICU=system \
 		-DWITH_CURL=system \
-		-DWITH_ZSTD=system \
+		-DWITH_ZSTD=bundled \
 		-DWITH_PROTOBUF=bundled \
 		-DWITH_SSL=system \
 		-DWITH_AUTHENTICATION_FIDO=1 \
diff --git a/databases/mysql80-server/distinfo b/databases/mysql80-server/distinfo
index 8134c31693a6..05b98badd3de 100644
--- a/databases/mysql80-server/distinfo
+++ b/databases/mysql80-server/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1676165343
-SHA256 (mysql-boost-8.0.32.tar.gz) = 1a83a2e1712a2d20b80369c45cecbfcc7be9178d4fc0e81ffba5c273ce947389
-SIZE (mysql-boost-8.0.32.tar.gz) = 436207624
+TIMESTAMP = 1686677589
+SHA256 (mysql-boost-8.0.33.tar.gz) = ae31e6368617776b43c82436c3736900067fada1289032f3ac3392f7380bcb58
+SIZE (mysql-boost-8.0.33.tar.gz) = 438065679
diff --git a/databases/mysql80-server/files/patch-CMakeLists.txt b/databases/mysql80-server/files/patch-CMakeLists.txt
index 625e0bac005c..89fbfdec308c 100644
--- a/databases/mysql80-server/files/patch-CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-CMakeLists.txt
@@ -1,6 +1,6 @@
---- CMakeLists.txt.orig	2022-07-06 21:36:34 UTC
+--- CMakeLists.txt.orig	2023-03-16 17:22:37 UTC
 +++ CMakeLists.txt
-@@ -1819,7 +1819,7 @@ IF(LINUX AND KNOWN_CUSTOM_LIBRARIES)
+@@ -1823,7 +1823,7 @@ IF(LINUX AND KNOWN_CUSTOM_LIBRARIES)
  ENDIF()
  
  IF(WITH_AUTHENTICATION_LDAP)
@@ -9,7 +9,7 @@
      # LDAP / SASL / KERBEROS / SSL must all be "system" or "custom", not a mix.
      IF(WITH_LDAP STREQUAL "system" OR
          WITH_SASL STREQUAL "system" OR
-@@ -1868,6 +1868,7 @@ IF(WITH_AUTHENTICATION_KERBEROS)
+@@ -1872,6 +1872,7 @@ IF(WITH_AUTHENTICATION_KERBEROS)
    ENDIF()
  ENDIF()
  
@@ -17,7 +17,7 @@
  # Add system/bundled editline.
  MYSQL_CHECK_EDITLINE()
  SET(EDITLINE_WARN_GIVEN)
-@@ -1878,7 +1879,9 @@ IF(EDITLINE_WARN_GIVEN)
+@@ -1882,7 +1883,9 @@ IF(EDITLINE_WARN_GIVEN)
      "You can use -DWITH_EDITLINE=bundled instead."
      )
  ENDIF()
@@ -26,8 +26,8 @@
 +IF(NOT WITHOUT_SERVER)
  # Add libevent
  MYSQL_CHECK_LIBEVENT()
- SET(LIBEVENT_WARN_GIVEN)
-@@ -1889,6 +1892,7 @@ IF(LIBEVENT_WARN_GIVEN)
+ UNSET(LIBEVENT_WARN_GIVEN)
+@@ -1893,6 +1896,7 @@ IF(LIBEVENT_WARN_GIVEN)
      "You can use -DWITH_LIBEVENT=bundled instead."
      )
  ENDIF()
@@ -35,7 +35,7 @@
  
  # Add lz4 library
  MYSQL_CHECK_LZ4()
-@@ -2142,7 +2146,9 @@ ADD_CUSTOM_TARGET(clang_tidy_prerequisites)
+@@ -2137,7 +2141,9 @@ ADD_CUSTOM_TARGET(clang_tidy_prerequisites)
  ADD_DEPENDENCIES(clang_tidy_prerequisites protobuf_generated_all)
  ADD_DEPENDENCIES(clang_tidy_prerequisites GenError)
  
@@ -46,7 +46,7 @@
  ADD_SUBDIRECTORY(strings)
  ADD_SUBDIRECTORY(vio)
  ADD_SUBDIRECTORY(mysys)
-@@ -2187,12 +2193,15 @@ IF(WITH_UNIT_TESTS)
+@@ -2183,12 +2189,15 @@ IF(WITH_UNIT_TESTS)
    ADD_SUBDIRECTORY(unittest/mytap/t)
  ENDIF()
  
@@ -64,7 +64,7 @@
    ADD_SUBDIRECTORY(testclients)
    ADD_SUBDIRECTORY(sql)
  ENDIF()
-@@ -2247,11 +2256,11 @@ ENDIF()
+@@ -2249,11 +2258,11 @@ ENDIF()
  # scripts/mysql_config depends on client and server targets loaded above.
  # It is referenced by some of the directories below, so we insert it here.
  ADD_SUBDIRECTORY(scripts)
@@ -77,15 +77,15 @@
    IF(WITH_INTERNAL)
      ADD_SUBDIRECTORY(internal)
    ENDIF()
-@@ -2361,6 +2370,7 @@ IF(PACK_SEPARATE_COMPONENTS)
-   SET(CPACK_COMPONENTS_GROUPING IGNORE)
+@@ -2280,6 +2289,7 @@ IF(ENABLE_GCOV)
+   INCLUDE(fastcov)
  ENDIF()
  
 +IF(FALSE)
  IF(UNIX)
-   INSTALL(FILES
-     Docs/mysql.info
-@@ -2395,6 +2405,7 @@ IF(NOT INSTALL_LAYOUT MATCHES "RPM")
+   ADD_SUBDIRECTORY(man)
+ ENDIF()
+@@ -2463,6 +2473,7 @@ IF(NOT INSTALL_LAYOUT MATCHES "RPM")
      PATTERN "sp-imp-spec.txt" EXCLUDE
      PATTERN "README.build" EXCLUDE
    )
diff --git a/databases/mysql80-server/files/patch-client_CMakeLists.txt b/databases/mysql80-server/files/patch-client_CMakeLists.txt
index 6a433a889e80..2c8466f52ae2 100644
--- a/databases/mysql80-server/files/patch-client_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-client_CMakeLists.txt
@@ -1,4 +1,4 @@
---- client/CMakeLists.txt.orig	2021-09-28 11:46:34 UTC
+--- client/CMakeLists.txt.orig	2023-03-16 17:22:37 UTC
 +++ client/CMakeLists.txt
 @@ -28,10 +28,13 @@ DISABLE_MISSING_PROFILE_WARNING()
  ## Subdirectory with common client code.
@@ -22,7 +22,7 @@
  
  IF(NOT WITHOUT_SERVER)
    MYSQL_ADD_EXECUTABLE(mysql_upgrade
-@@ -55,6 +59,7 @@ IF(NOT_WITHOUT_SERVER)
+@@ -55,6 +59,7 @@ IF(NOT WITHOUT_SERVER)
      )
  ENDIF()
  
@@ -40,7 +40,7 @@
  MYSQL_ADD_EXECUTABLE(mysqlcheck
    check/mysqlcheck.cc
    check/mysqlcheck_core.cc
-@@ -250,7 +258,9 @@ ENDIF()
+@@ -275,7 +283,9 @@ ENDIF()
  
  TARGET_COMPILE_DEFINITIONS(mysqlbinlog PRIVATE DISABLE_PSI_MUTEX)
  TARGET_INCLUDE_DIRECTORIES(mysqlbinlog PRIVATE ${CMAKE_SOURCE_DIR}/sql)
@@ -50,7 +50,7 @@
  MYSQL_ADD_EXECUTABLE(mysqladmin
    mysqladmin.cc
    multi_factor_passwordopt-vars.cc
-@@ -265,6 +275,9 @@ MYSQL_ADD_EXECUTABLE(mysql_config_editor
+@@ -290,6 +300,9 @@ MYSQL_ADD_EXECUTABLE(mysql_config_editor
    mysql_config_editor.cc
    LINK_LIBRARIES mysqlclient
    )
@@ -60,7 +60,7 @@
  MYSQL_ADD_EXECUTABLE(mysql_secure_installation
    mysql_secure_installation.cc
    LINK_LIBRARIES mysqlclient
-@@ -275,6 +288,7 @@ MYSQL_ADD_EXECUTABLE(mysql_ssl_rsa_setup
+@@ -300,6 +313,7 @@ MYSQL_ADD_EXECUTABLE(mysql_ssl_rsa_setup
    path.cc
    LINK_LIBRARIES mysys
    )
diff --git a/databases/mysql80-server/files/patch-cmake_install_layout.cmake b/databases/mysql80-server/files/patch-cmake_install__layout.cmake
similarity index 98%
rename from databases/mysql80-server/files/patch-cmake_install_layout.cmake
rename to databases/mysql80-server/files/patch-cmake_install__layout.cmake
index 927729ddd20b..e99cdd546b5e 100644
--- a/databases/mysql80-server/files/patch-cmake_install_layout.cmake
+++ b/databases/mysql80-server/files/patch-cmake_install__layout.cmake
@@ -1,4 +1,4 @@
---- cmake/install_layout.cmake.orig	2019-12-09 19:53:17 UTC
+--- cmake/install_layout.cmake.orig	2023-03-16 17:22:37 UTC
 +++ cmake/install_layout.cmake
 @@ -41,6 +41,10 @@
  #    Build with prefix=/usr/local/mysql, create tarball with install prefix="."
diff --git a/databases/mysql80-server/files/patch-cmake_plugin.cmake b/databases/mysql80-server/files/patch-cmake_plugin.cmake
index 874c450a4ef2..f2c2388df96e 100644
--- a/databases/mysql80-server/files/patch-cmake_plugin.cmake
+++ b/databases/mysql80-server/files/patch-cmake_plugin.cmake
@@ -1,6 +1,6 @@
---- cmake/plugin.cmake.orig	2021-12-17 16:07:27 UTC
+--- cmake/plugin.cmake.orig	2023-03-16 17:22:37 UTC
 +++ cmake/plugin.cmake
-@@ -247,15 +247,15 @@ MACRO(MYSQL_ADD_PLUGIN plugin_arg)
+@@ -273,15 +273,15 @@ MACRO(MYSQL_ADD_PLUGIN plugin_arg)
  
        # For testing purposes, we need
        # <...>/lib/plugin/debug/authentication_ldap_sasl_client.so
diff --git a/databases/mysql80-server/files/patch-libmysql_CMakeLists.txt b/databases/mysql80-server/files/patch-libmysql_CMakeLists.txt
index 44e1979f8075..a5069ad54679 100644
--- a/databases/mysql80-server/files/patch-libmysql_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-libmysql_CMakeLists.txt
@@ -1,6 +1,6 @@
---- libmysql/CMakeLists.txt.orig	2021-12-17 16:07:27 UTC
+--- libmysql/CMakeLists.txt.orig	2023-03-16 17:22:37 UTC
 +++ libmysql/CMakeLists.txt
-@@ -198,6 +198,11 @@ IF (WIN32 AND OPENSSL_APPLINK_C)
+@@ -201,6 +201,11 @@ IF (WIN32 AND OPENSSL_APPLINK_C)
    )
  ENDIF()
  
@@ -12,7 +12,7 @@
  #
  # Include protocol tracing infrastructure and the test
  # trace plugin if enabled by build options.
-@@ -271,8 +276,15 @@ IF(WIN32)
+@@ -277,8 +282,15 @@ IF(WIN32)
    LIST(APPEND LIBS_TO_MERGE auth_win_client)
  ENDIF()
  
@@ -30,7 +30,7 @@
  
  # FIDO authentication client plugin
  ADD_SUBDIRECTORY(authentication_fido)
-@@ -288,6 +300,7 @@ MERGE_CONVENIENCE_LIBRARIES(mysqlclient ${LIBS_TO_MERG
+@@ -294,6 +306,7 @@ MERGE_CONVENIENCE_LIBRARIES(mysqlclient ${LIBS_TO_MERG
    COMPONENT Development
    LINK_LIBRARIES ${LIBS_TO_LINK}
    )
@@ -38,7 +38,7 @@
  
  # Visual Studio users need debug  static library for debug projects
  IF(MSVC)
-@@ -334,17 +347,27 @@ ENDIF()
+@@ -340,17 +353,27 @@ ENDIF()
  
  # Merge several convenience libraries into one big mysqlclient
  # and link them together into shared library.
diff --git a/databases/mysql80-server/files/patch-man_CMakeLists.txt b/databases/mysql80-server/files/patch-man_CMakeLists.txt
index 9c95ebf65a2b..e94695f0170b 100644
--- a/databases/mysql80-server/files/patch-man_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-man_CMakeLists.txt
@@ -1,4 +1,4 @@
---- man/CMakeLists.txt.orig	2021-12-17 16:07:27 UTC
+--- man/CMakeLists.txt.orig	2023-03-16 17:22:37 UTC
 +++ man/CMakeLists.txt
 @@ -23,26 +23,14 @@
  # Copy man pages
@@ -30,7 +30,7 @@
 @@ -52,13 +40,23 @@ SET(MAN1
    zlib_decompress.1
    )
- 
+
 -IF(NOT WITH_SYSTEMD)
 -  LIST(APPEND MAN1
 -    mysql.server.1
@@ -54,13 +54,13 @@
 +  mysqld_safe.1
    )
 -ENDIF()
- 
+
  SET(MAN1_NDB
    ndb_blob_tool.1
-@@ -103,8 +101,14 @@ SET(MAN8_NDB
+@@ -105,8 +103,14 @@ SET(MAN8_NDB
    ndbmtd.8
  )
- 
+
 -INSTALL(FILES ${MAN1} DESTINATION ${INSTALL_MANDIR}/man1 COMPONENT ManPages)
 -INSTALL(FILES ${MAN8} DESTINATION ${INSTALL_MANDIR}/man8 COMPONENT ManPages)
 +IF(NOT WITHOUT_CLIENTLIBS)
@@ -71,6 +71,6 @@
 +    INSTALL(FILES ${MAN1_TOOLS} DESTINATION ${INSTALL_MANDIR}/man1 COMPONENT ManPages)
 +    INSTALL(FILES ${MAN8} DESTINATION ${INSTALL_MANDIR}/man8 COMPONENT ManPages)
 +ENDIF()
- 
+
  IF(WITH_ROUTER)
    INSTALL(FILES ${MAN1_ROUTER}
diff --git a/databases/mysql80-server/files/patch-plugin_x_CMakeLists.txt b/databases/mysql80-server/files/patch-plugin_x_CMakeLists.txt
index 58cb6a7922b1..f7e2c1958978 100644
--- a/databases/mysql80-server/files/patch-plugin_x_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-plugin_x_CMakeLists.txt
@@ -1,6 +1,6 @@
---- plugin/x/CMakeLists.txt.orig	2021-12-17 16:07:27 UTC
+--- plugin/x/CMakeLists.txt.orig	2023-03-16 17:22:37 UTC
 +++ plugin/x/CMakeLists.txt
-@@ -77,6 +77,8 @@ INCLUDE_DIRECTORIES(
+@@ -81,6 +81,8 @@ INCLUDE_DIRECTORIES(
    ${MYSQLX_GENERATE_DIR}
    ${MYSQLX_PROTOCOL_INCLUDE_DIR}
    ${MYSQLX_CLIENT_INCLUDE_DIR}
@@ -8,4 +8,4 @@
 +  ${BOOST_INCLUDE_DIR}
  )
  
- MY_INCLUDE_SYSTEM_DIRECTORIES(LIBEVENT)
+ ADD_COMPILE_FLAGS(${XPLUGIN_SRC}
diff --git a/databases/mysql80-server/files/patch-router_src_harness_include_mysql_harness_net_ts_impl_kqueue_io_service.h b/databases/mysql80-server/files/patch-router_src_harness_include_mysql_harness_net__ts_impl_kqueue__io__service.h
similarity index 82%
rename from databases/mysql80-server/files/patch-router_src_harness_include_mysql_harness_net_ts_impl_kqueue_io_service.h
rename to databases/mysql80-server/files/patch-router_src_harness_include_mysql_harness_net__ts_impl_kqueue__io__service.h
index 46d03cb9db69..1d6314b3a118 100644
--- a/databases/mysql80-server/files/patch-router_src_harness_include_mysql_harness_net_ts_impl_kqueue_io_service.h
+++ b/databases/mysql80-server/files/patch-router_src_harness_include_mysql_harness_net__ts_impl_kqueue__io__service.h
@@ -1,6 +1,6 @@
---- router/src/harness/include/mysql/harness/net_ts/impl/kqueue_io_service.h.orig	2020-09-23 12:37:48 UTC
+--- router/src/harness/include/mysql/harness/net_ts/impl/kqueue_io_service.h.orig	2023-03-16 17:22:37 UTC
 +++ router/src/harness/include/mysql/harness/net_ts/impl/kqueue_io_service.h
-@@ -190,8 +190,8 @@
+@@ -190,8 +190,8 @@ class kqueue_io_service : public IoServiceBase {
          auto secs = std::chrono::duration_cast<std::chrono::seconds>(timeout);
          timeout -= secs;
  
diff --git a/databases/mysql80-server/files/patch-router_src_harness_src_CMakeLists.txt b/databases/mysql80-server/files/patch-router_src_harness_src_CMakeLists.txt
index 65fe02456eec..6772788f5cc1 100644
--- a/databases/mysql80-server/files/patch-router_src_harness_src_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-router_src_harness_src_CMakeLists.txt
@@ -1,6 +1,6 @@
---- router/src/harness/src/CMakeLists.txt.orig	2021-12-17 16:07:27 UTC
+--- router/src/harness/src/CMakeLists.txt.orig	2023-03-16 17:22:37 UTC
 +++ router/src/harness/src/CMakeLists.txt
-@@ -212,7 +212,6 @@ ELSE()
+@@ -221,7 +221,6 @@ ELSE()
    INSTALL(TARGETS harness-library
      LIBRARY
      DESTINATION ${ROUTER_INSTALL_LIBDIR} COMPONENT Router
@@ -8,7 +8,7 @@
      )
  ENDIF()
  
-@@ -243,7 +242,6 @@ INSTALL(TARGETS harness_stdx
+@@ -253,7 +252,6 @@ INSTALL(TARGETS harness_stdx
    RUNTIME DESTINATION ${ROUTER_INSTALL_BINDIR} COMPONENT Router
    ARCHIVE DESTINATION ${ROUTER_INSTALL_LIBDIR} COMPONENT Router
    LIBRARY DESTINATION ${ROUTER_INSTALL_LIBDIR} COMPONENT Router
@@ -16,7 +16,7 @@
    )
  
  ## harness_tls
-@@ -284,5 +282,4 @@ INSTALL(TARGETS harness_tls
+@@ -295,5 +293,4 @@ INSTALL(TARGETS harness_tls
    RUNTIME DESTINATION ${ROUTER_INSTALL_BINDIR} COMPONENT Router
    ARCHIVE DESTINATION ${ROUTER_INSTALL_LIBDIR} COMPONENT Router
    LIBRARY DESTINATION ${ROUTER_INSTALL_LIBDIR} COMPONENT Router
diff --git a/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc b/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc
index 267814803231..b39a7bbceda4 100644
--- a/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc
+++ b/databases/mysql80-server/files/patch-router_src_harness_src_tls__server__context.cc
@@ -1,12 +1,13 @@
---- router/src/harness/src/tls_server_context.cc.orig	2022-12-11 13:24:16 UTC
+--- router/src/harness/src/tls_server_context.cc.orig	2023-03-16 17:22:37 UTC
 +++ router/src/harness/src/tls_server_context.cc
-@@ -272,7 +272,8 @@ stdx::expected<void, std::error_code> set_auto_dh_para
+@@ -275,7 +275,9 @@ stdx::expected<void, std::error_code> set_auto_dh_para
  #if OPENSSL_VERSION_NUMBER >= ROUTER_OPENSSL_VERSION(3, 0, 0)
    SSL_CTX_set_dh_auto(ssl_ctx, 1);
  #else
 -#if OPENSSL_VERSION_NUMBER >= ROUTER_OPENSSL_VERSION(1, 1, 0)
 +#if OPENSSL_VERSION_NUMBER >= ROUTER_OPENSSL_VERSION(1, 1, 0) \
 +  && !defined(LIBRESSL_VERSION_NUMBER)
-   OsslUniquePtr<DH> dh_storage(DH_get_2048_256());
- #else
-   /*
++
+   int sec_level = SSL_CTX_get_security_level(ssl_ctx);
+ 
+   assert(sec_level <= kMaxSecurityLevel);
diff --git a/databases/mysql80-server/files/patch-utilities_CMakeLists.txt b/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
index 29c120a41e79..c68cd6aa532d 100644
--- a/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
+++ b/databases/mysql80-server/files/patch-utilities_CMakeLists.txt
@@ -1,8 +1,8 @@
---- utilities/CMakeLists.txt.orig	2020-09-23 12:37:48 UTC
-+++ utilities/CMakeLists.txt
-@@ -23,13 +23,19 @@
- ADD_WSHADOW_WARNING()
+--- utilities/CMakeLists.txt.orig	2023-06-14 08:24:40.103026000 +0200
++++ utilities/CMakeLists.txt	2023-06-22 20:43:33.353592000 +0200
+@@ -24,13 +24,19 @@ MSVC_CPPCHECK_DISABLE()
  DISABLE_MISSING_PROFILE_WARNING()
+ MSVC_CPPCHECK_DISABLE()
  
 -IF(NOT CMAKE_CROSSCOMPILING)
 +IF(WITHOUT_CLIENTLIBS)
@@ -22,7 +22,7 @@
  
  MYSQL_ADD_EXECUTABLE(comp_client_err
    comp_client_err.cc
-@@ -112,10 +118,30 @@ MYSQL_ADD_EXECUTABLE(static_thread_local_test
+@@ -113,10 +119,30 @@ MYSQL_ADD_EXECUTABLE(static_thread_local_test
    EXCLUDE_FROM_ALL
    )
  
@@ -53,8 +53,8 @@
    )
  MYSQL_ADD_EXECUTABLE(perror
    perror.cc
-@@ -130,12 +156,23 @@ IF(BUILD_BUNDLED_LZ4)
-     LINK_LIBRARIES ${LZ4_LIBRARY} mysys
+@@ -131,12 +157,23 @@ ENDIF()
+     LINK_LIBRARIES ext::lz4 mysys
      )
  ENDIF()
 +ENDIF(WITHOUT_CLIENTLIBS)
@@ -63,7 +63,7 @@
  MYSQL_ADD_EXECUTABLE(zlib_decompress
    zlib_decompress.cc
    COMPONENT Server
-   LINK_LIBRARIES ${ZLIB_LIBRARY} mysys
+   LINK_LIBRARIES ext::zlib mysys
 +    SKIP_INSTALL )
 +ELSE(WITHOUT_CLIENTLIBS)
 +IF(BUILD_BUNDLED_ZLIB OR NOT OPENSSL_EXECUTABLE_HAS_ZLIB)
diff --git a/databases/mysql80-server/pkg-plist b/databases/mysql80-server/pkg-plist
index 15aa026bbb80..755496eeaae0 100644
--- a/databases/mysql80-server/pkg-plist
+++ b/databases/mysql80-server/pkg-plist
@@ -87,9 +87,11 @@ lib/mysql/plugin/component_test_mysql_command_services.so
 lib/mysql/plugin/component_test_mysql_current_thread_reader.so
 lib/mysql/plugin/component_test_mysql_runtime_error.so
 lib/mysql/plugin/component_test_mysql_system_variable_set.so
+lib/mysql/plugin/component_test_mysql_thd_store_service.so
 lib/mysql/plugin/component_test_pfs_notification.so
 lib/mysql/plugin/component_test_pfs_resource_group.so
 lib/mysql/plugin/component_test_sensitive_system_variables.so
+lib/mysql/plugin/component_test_server_telemetry_traces.so
 lib/mysql/plugin/component_test_status_var_reader.so
 lib/mysql/plugin/component_test_status_var_service.so
 lib/mysql/plugin/component_test_status_var_service_int.so
